Skip to content

List data sources

Request

List LinkedIn import jobs with pagination.

Security
bearerAuth
Query
limitinteger, (int32)

Items per page (default 20).

Default:20
Example:limit=20
offsetinteger, (int32)

Items to skip (default 0).

Default:0
Example:offset=0
order_fieldstring

Sort field (default created_at).

Default:"created_at"
Example:order_field=created_at
order_typestring

Sort direction.

Default:"asc"
Enum:"asc""desc"
Example:order_type=asc
GET
/leads/api/data-sources
curl -i -X GET \
  'https://leadgen.grinfi.io/leads/api/data-sources?limit=20&offset=0&order_field=created_at&order_type=asc' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of data sources.

Bodyapplication/json
dataArray of objects(data-source)
limitinteger
Example:20
offsetinteger
Example:0
totalinteger
Example:10
has_moreboolean
Response
{ "data": [ {} ], "limit": 20, "offset": 0, "total": 10, "has_more": true }